from ..WebControl import WebControl

class TextBox (WebControl):

	def __init__(self, mode = None):
		WebControl.__init__(self, "input")
		if mode == "password":
			self.add_attribute("type", "password")
		else:
			self.add_attribute("type", "text")
		self.__mode = mode

	def get_mode(self):
		return self.__mode
	def set_mode(self, value):
		self.__mode = value
		